

%define framework ktexteditor
%define kf5texteditor_major 5
%define libkf5texteditor %mklibname kf5texteditor %{kf5texteditor_major}
%define kf5texteditor_devel %mklibname kf5texteditor -d

Summary:        KDE Frameworks 5 Tier 3 with advanced embeddable text editor
Name:           %{framework}
Version: 	5.44.0
Release:        %mkrel 1
License:        GPLv2+
Group:          Graphical desktop/KDE5
Source0:        http://fr2.rpmfind.net/linux/KDE/unstable/framework/%{framework}-%{version}.tar.xz
URL:            https://www.kde.org/
#general buildrequires
#------------------------------------------------------
BuildRequires: %{_lib}qt5base5-devel
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5dbus-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5help-devel
BuildRequires: %{_lib}qt5imageformats-devel
BuildRequires: %{_lib}qt5network-devel
BuildRequires: %{_lib}qt5qml-devel
BuildRequires: %{_lib}qt5quick-devel
BuildRequires: %{_lib}qt5bluetooth-devel
BuildRequires: %{_lib}qt5bootstrap-devel
BuildRequires: %{_lib}qt5clucene-devel
BuildRequires: %{_lib}qt5concurrent-devel
BuildRequires: %{_lib}qt5designer-devel
BuildRequires: %{_lib}qt5egldeviceintegration-devel
BuildRequires: %{_lib}qt5labstemplates-devel
BuildRequires: %{_lib}qt5location-devel
BuildRequires: %{_lib}qt5multimedia-devel
BuildRequires: %{_lib}qt5multimediaquick_p-devel
BuildRequires: %{_lib}qt5multimediawidgets-devel
BuildRequires: %{_lib}qt5nfc-devel
BuildRequires: %{_lib}qt5opengl-devel
BuildRequires: %{_lib}qt5platformsupport-devel
BuildRequires: %{_lib}qt5positioning-devel
BuildRequires: %{_lib}qt5printsupport-devel
BuildRequires: %{_lib}qt5qgsttools_p-devel
BuildRequires: %{_lib}qt5quickparticles-devel
BuildRequires: %{_lib}qt5quicktest-devel
BuildRequires: %{_lib}qt5quickwidgets-devel
BuildRequires: %{_lib}qt5script-devel
BuildRequires: %{_lib}qt5scripttools-devel
BuildRequires: %{_lib}qt5sensors-devel
BuildRequires: %{_lib}qt5serialport-devel
BuildRequires: %{_lib}qt5sql-devel
BuildRequires: %{_lib}qt5svg-devel
BuildRequires: %{_lib}qt5test-devel
BuildRequires: %{_lib}qt5waylandclient-devel
BuildRequires: %{_lib}qt5webchannel-devel
BuildRequires:  cmake
BuildRequires:  kf5-macros
#------------------------------------------------------
BuildRequires:  karchive-devel >= 5.20.0
BuildRequires:  kconfig-devel >= 5.20.0
BuildRequires:  kguiaddons-devel >= 5.20.0
BuildRequires:  ki18n-devel >= 5.20.0
BuildRequires:  kcoreaddons-devel >= 5.20.0
BuildRequires:  kauth-devel >= 5.20.0
BuildRequires:  kcodecs-devel >= 5.20.0
BuildRequires:  kwidgetsaddons-devel >= 5.20.0
BuildRequires:  kconfigwidgets-devel >= 5.20.0
BuildRequires:  kitemviews-devel >= 5.20.0
BuildRequires:  kiconthemes-devel >= 5.20.0
BuildRequires:  kglobalaccel-devel >= 5.20.0
BuildRequires:  kcompletion-devel >= 5.20.0
BuildRequires:  kdbusaddons-devel >= 5.20.0
BuildRequires:  kservice-devel >= 5.20.0
BuildRequires:  kwindowsystem-devel >= 5.20.0
BuildRequires:  ktextwidgets-devel >= 5.20.0
BuildRequires:  kxmlgui-devel >= 5.20.0
BuildRequires:  kbookmarks-devel >= 5.20.0
BuildRequires:  kjobwidgets-devel >= 5.20.0
BuildRequires:  solid-devel >= 5.20.0
BuildRequires:  kio-devel >= 5.20.0
BuildRequires:  knotifications-devel >= 5.20.0
BuildRequires:  kparts-devel >= 5.20.0
BuildRequires:  sonnet-devel >= 5.20.0

%rename kf5-%{framework}

%description
KDE Frameworks 5 Tier 3 with advanced embeddable text editor

%files -f ktexteditor5.lang
%{_kf5_plugindir}/parts/katepart.so
%{_kf5_services}/katepart.desktop
%{_kf5_servicetypes}/*.desktop
%{_kf5_datadir}/katepart5/script
#--------------------------------------------------------------------
%{_kf5_libdir}/libKF5TextEditor.so.%{kf5texteditor_major}*
#--------------------------------------------------------------------
%{_sysconfdir}/dbus-1/system.d/org.kde.ktexteditor.katetextbuffer.conf
%{_libexecdir}/kauth/kauth_ktexteditor_helper
%{_kf5_datadir}/dbus-1/system-services/org.kde.ktexteditor.katetextbuffer.service
%{_kf5_datadir}/polkit-1/actions/org.kde.ktexteditor.katetextbuffer.policy
/usr/share/kdevappwizard/templates/ktexteditor-plugin.tar.bz2

%package -n %kf5texteditor_devel

Summary:        Devel stuff for %framework
Group:          Development/Libraries
Requires:       %name = %version-%release
Provides:       %framework-devel = %{version}-%{release}

%description -n %kf5texteditor_devel
This package contains header files needed if you wish to build applications
based on %framework.

%files -n %kf5texteditor_devel
%{_kf5_libdir}/libKF5TextEditor.so
%{_kf5_libdir}/cmake/KF5TextEditor
%{_kf5_includedir}/ktexteditor_version.h
%{_kf5_includedir}/KTextEditor
%_qt5_prefix/mkspecs/modules/qt_KTextEditor.pri

#--------------------------------------------------------------------

%prep
%setup -q -n %framework-%version

%build
%cmake_kf5
%make

%install
rm -rf %buildroot
%makeinstall_std -C build
%find_lang %{framework}5



%changelog
* Sun Mar 11 2018 bb2 <bb2> - 5.44.0-1pclos2018
- new version

* Mon Feb 12 2018 bb2 <bb2> - 5.43.0-1pclos2018
- new version

* Mon Jan 15 2018 bb2 <bb2> - 5.42.0-1pclos2018
- new version

* Sun Dec 10 2017 bb2 <bb2> - 5.41.0-1pclos2017
- new version

* Sat Dec 09 2017 bb2 <bb2> - 5.40.0-2pclos2017
- rebuild against updates

* Sat Nov 11 2017 bb2 <bb2> - 5.40.0-1pclos2017
- new version

* Sat Oct 14 2017 bb2 <bb2> - 5.39.0-1pclos2017
- new version

* Sat Oct 07 2017 bb2 <bb2> - 5.38.0-1pclos2017
- new version

* Sun Aug 13 2017 bb2 <bb2> - 5.37.0-1pclos2017
- new version

* Sat Jul 08 2017 bb2 <bb2> - 5.36.0-1pclos2017
- new version

* Sat Jun 10 2017 bb2 <bb2> - 5.35.0-1pclos2017
- new version

* Tue Jun 06 2017 bb2 <bb2> - 5.34.0-2pclos2017
- rebuilt

* Sun May 14 2017 bb2 <bb2> - 5.34.0-1pclos2017
- new version

* Sun Apr 09 2017 bb2 <bb2> - 5.33.0-1pclos2017
- new version

* Fri Mar 10 2017 bb2 <bb2> - 5.32.0-1pclos2017
- new version

* Sun Feb 12 2017 tex - 5.31.0-1pclos2017
- new version

* Mon Jan 16 2017 bb <bb> - 5.30.0-1pclos2017
- new version

* Mon Dec 12 2016 bb <bb> 5.29.0-1pclos2017
- update
